#include <windows.h>
#include <DxLib.h>
#include "window.h"

int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow ){
	HANDLE h = CreateMutex(NULL,FALSE,"DXLibGameSettingDialog");
	if(WAIT_OBJECT_0 != WaitForSingleObject(h,0)){
		CloseHandle(h);
		return 0;
	}

	SetOutApplicationLogValidFlag(FALSE);
	SetNotWinFlag(TRUE);
	if( DxLib_Init() == -1 ){
		 return -1;
	}
	SetUseDXArchiveFlag(TRUE);
	SetCreateSoundDataType(DX_SOUNDDATATYPE_MEMNOPRESS);

	CConfigDialog dlg;
	dlg.DoModal();

	DxLib_End();
	ReleaseMutex(h);
	CloseHandle(h);
	return 0;
}

